<?php
/**
* Logger Modules
* Nighthawk
* @version 0.1
*/

define('DEBUG_LOG', false); //log debug messages
define('ERROR_LOG', true); //log error messages

class log
{
	public static function debug($debugMessage){
		if(DEBUG_LOG){
			self::create();
			$fp = fopen('bin/log/debug.log', 'a+');
			$timestamp = date("F j, Y, h:i:s");
			$type = 'DEBUG: ';
			fwrite($fp, '[ '.$timestamp.' ] '.$type.$debugMessage."\n");
			fclose($fp);
		}
	}
	public static function error($errorMessage){
		if(ERROR_LOG){
			self::create();
			$fp = fopen('bin/log/error.log', 'a+');
			$timestamp = date("F j, Y, h:i:s");
			$type = 'ERROR: ';
			fwrite($fp, '[ '.$timestamp.' ] '.$type.$errorMessage."\n");
			fclose($fp);
		}
	}
	public static function create(){
		if(!file_exists('bin/log')){
			mkdir('bin/log');
		}else{
			if(!file_exists('bin/log/debug.log')){
				$fp = fopen('bin/log/debug.log', 'a+');
				fclose($fp);
			}
			if(!file_exists('bin/log/error.log')){
				$fp = fopen('bin/log/error.log', 'a+');
				fclose($fp);
			}
		}
	}
}

?>