<?php
/**
* Web Module
* @version 0.1
*/

class Connect
{
	var $fetchNews = false;
	public function __construct(){
		$connected = @fsockopen(project_server, 80);
		if($connected){
			define('CONNECTED', true);
			log::debug('Connected To Server '.project_server);
		}else{
			define('CONNECTED', false);
			log::error('Disconnected From Server '.project_server);
		}
	}
	public function connectedToServer(){
		if(CONNECTED){
			?><h6 style="color:rgba(255,255,255,0.9);font-family:'OpenSans Light Italic';"><i class="icon-check" style="color:rgba(100,255,180,0.9);"></i> Connected to Server</h6><?php
		}elseif(CONNECTED == false){
			?><h6 style="color:rgba(255,255,255,0.9);font-family:'OpenSans Light Italic';"><i class="icon-cross" style="color:rgba(255,80,80,0.9);"></i> Disconnected from Server</h6><?php
		}
	}
	public function getNews(){
		$news = file_get_contents(project_server_news);
		return $news;
	}
	public function checkNews(){
		$news = file_get_contents(project_server_news);
		if(!empty($news) && !$news == ''){
			$this->fetchNews = true;
		}else{
			$this->fetchNews = false;
		}
	}
}

$web = new Connect;
?>